diff --git a/database/factories/UserFactory.php b/database/factories/UserFactory.php
index fe8d2f0..2045b29 100644
--- a/database/factories/UserFactory.php
+++ b/database/factories/UserFactory.php
@@ -1,11 +1,12 @@
 <?php
 
 use Faker\Generator as Faker;
+use Illuminate\Support\Str;
 
 $factory->define(Portal\User::class, function (Faker $faker) {
     return [
         'email' => $faker->email,
-        'password' => bcrypt(str_random(10)),
+        'password' => bcrypt(Str::random(10)),
         'first_name' => $faker->firstName,
         'last_name' => $faker->lastName,
         'phone' => $faker->phoneNumber,
diff --git a/resources/lang/de/passwords.php b/resources/lang/de/passwords.php
index d716f5f..a922350 100644
--- a/resources/lang/de/passwords.php
+++ b/resources/lang/de/passwords.php
@@ -13,7 +13,7 @@ return [
     |
     */
 
-    'password' => 'Passwörter müssen mindestens 6 Zeichen lang sein und korrekt bestätigt werden.',
+    'password' => 'Passwörter müssen mindestens 8 Zeichen lang sein und korrekt bestätigt werden.',
     'reset'    => 'Das Passwort wurde zurückgesetzt!',
     'sent'     => 'Passworterinnerung wurde gesendet!',
     'token'    => 'Der Passwort-Wiederherstellungs-Schlüssel ist ungültig oder abgelaufen.',
diff --git a/resources/lang/en/passwords.php b/resources/lang/en/passwords.php
index e6f3a67..b5d4b18 100644
--- a/resources/lang/en/passwords.php
+++ b/resources/lang/en/passwords.php
@@ -13,7 +13,7 @@ return [
     |
     */
 
-    'password' => 'Passwords must be at least six characters and match the confirmation.',
+    'password' => 'Passwords must be at least eight characters and match the confirmation.',
     'reset' => 'Your password has been reset!',
     'sent' => 'We have e-mailed your password reset link!',
     'token' => 'This password reset token is invalid.',
diff --git a/resources/lang/sr/passwords.php b/resources/lang/sr/passwords.php
index cb7f3d3..99f99d3 100644
--- a/resources/lang/sr/passwords.php
+++ b/resources/lang/sr/passwords.php
@@ -13,7 +13,7 @@ return [
     |
     */
 
-    'password' => 'Lozinka mora imati najmanje 6 karaktera i da odgovara potvrdi.',
+    'password' => 'Lozinka mora imati najmanje 8 karaktera i da odgovara potvrdi.',
     'reset'    => 'Lozinka je resetovana!',
     'sent'     => 'Poslali smo reset link za vašu lozinku!',
     'token'    => 'Ukucana oznaka za resetovanje lozinke nije važeća.',
diff --git a/tests/Feature/ApiTestCase.php b/tests/Feature/ApiTestCase.php
index 7d3f5e2..e474942 100644
--- a/tests/Feature/ApiTestCase.php
+++ b/tests/Feature/ApiTestCase.php
@@ -7,13 +7,6 @@ use Portal\User;
 
 class ApiTestCase extends FunctionalTestCase
 {
-    public function setUp()
-    {
-        putenv("EXPOSE_API=true");
-
-        parent::setUp();
-    }
-
     /**
      * @return mixed
      */
diff --git a/tests/Feature/FunctionalTestCase.php b/tests/Feature/FunctionalTestCase.php
index 742655f..01b3528 100644
--- a/tests/Feature/FunctionalTestCase.php
+++ b/tests/Feature/FunctionalTestCase.php
@@ -21,7 +21,7 @@ class FunctionalTestCase extends TestCase
 
     protected $settingsModified = [];
 
-    public function setUp()
+    protected function setUp(): void
     {
         $this->afterApplicationCreated(function () {
             if ($this->isSQLiteConnection()) {
diff --git a/tests/Feature/Http/Controllers/Api/Auth/Password/ResetControllerTest.php b/tests/Feature/Http/Controllers/Api/Auth/Password/ResetControllerTest.php
index ae9cdca..b71ac5b 100644
--- a/tests/Feature/Http/Controllers/Api/Auth/Password/ResetControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/Auth/Password/ResetControllerTest.php
@@ -33,7 +33,7 @@ class ResetControllerTest extends ApiTestCase
 
         $user = $user->fresh();
 
-        $this->assertTrue(Hash::check('123123', $user->password));
+        $this->assertTrue(Hash::check('123123123', $user->password));
     }
 
     public function test_password_reset_with_expired_token()
@@ -85,8 +85,8 @@ class ResetControllerTest extends ApiTestCase
         $this->postJson('api/password/reset', [
             'token' => $token,
             'email' => $email,
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '123123123',
+            'password_confirmation' => '123123123'
         ]);
     }
 
diff --git a/tests/Feature/Http/Controllers/Api/Auth/RegistrationControllerTest.php b/tests/Feature/Http/Controllers/Api/Auth/RegistrationControllerTest.php
index 0901dda..f670b80 100644
--- a/tests/Feature/Http/Controllers/Api/Auth/RegistrationControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/Auth/RegistrationControllerTest.php
@@ -32,8 +32,8 @@ class RegistrationControllerTest extends ApiTestCase
         $data = [
             'email' => 'john.doe@test.com',
             'username' => 'john.doe',
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '123123123',
+            'password_confirmation' => '123123123'
         ];
 
         $this->postJson("/api/register", $data);
@@ -61,8 +61,8 @@ class RegistrationControllerTest extends ApiTestCase
         $data = [
             'email' => 'john.doe@test.com',
             'username' => 'john.doe',
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '123123123',
+            'password_confirmation' => '123123123'
         ];
 
         $this->postJson("/api/register", $data);
@@ -106,8 +106,8 @@ class RegistrationControllerTest extends ApiTestCase
         $data = [
             'email' => 'john.doe@test.com',
             'username' => 'john.doe',
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '123123123',
+            'password_confirmation' => '123123123'
         ];
 
         $this->postJson("/api/register", $data);
diff --git a/tests/Feature/Http/Controllers/Api/Profile/AuthDetailsControllerTest.php b/tests/Feature/Http/Controllers/Api/Profile/AuthDetailsControllerTest.php
index 824365b..fe28ccb 100644
--- a/tests/Feature/Http/Controllers/Api/Profile/AuthDetailsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/Profile/AuthDetailsControllerTest.php
@@ -16,13 +16,13 @@ class AuthDetailsControllerTest extends ApiTestCase
         $this->patch('/api/me/details/auth', [
             'email' => 'foo@example.com',
             'username' => 'john.doe',
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '12345678',
+            'password_confirmation' => '12345678'
         ]);
 
         $this->assertResponseOk()
             ->seeJsonContains(['email' => 'foo@example.com', 'username' => 'john.doe'])
-            ->assertTrue(password_verify('123123', $user->fresh()->password));
+            ->assertTrue(password_verify('12345678', $user->fresh()->password));
     }
 
     public function test_user_can_update_only_email_and_leave_other_fields_unchanged()
diff --git a/tests/Feature/Http/Controllers/Api/Profile/SessionsControllerTest.php b/tests/Feature/Http/Controllers/Api/Profile/SessionsControllerTest.php
index 2dafbdd..e7d1284 100644
--- a/tests/Feature/Http/Controllers/Api/Profile/SessionsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/Profile/SessionsControllerTest.php
@@ -3,6 +3,7 @@
 namespace Tests\Feature\Http\Controllers\Api\Profile;
 
 use Carbon\Carbon;
+use Illuminate\Support\Str;
 use Tests\Feature\ApiTestCase;
 use Portal\Repositories\Session\SessionRepository;
 use Portal\Transformers\SessionTransformer;
@@ -18,9 +19,7 @@ class SessionsControllerTest extends ApiTestCase
 
     public function test_get_sessions_if_non_database_driver_is_used()
     {
-        putenv('SESSION_DRIVER=array');
-
-        $this->refreshApp();
+        config(['session.driver' => 'array']);
 
         $this->login();
 
@@ -30,9 +29,7 @@ class SessionsControllerTest extends ApiTestCase
 
     public function test_get_user_sessions()
     {
-        putenv('SESSION_DRIVER=database');
-
-        $this->refreshApp();
+        config(['session.driver' => 'database']);
 
         $user = $this->login();
 
@@ -52,11 +49,11 @@ class SessionsControllerTest extends ApiTestCase
 
         for ($i = 0; $i < $count; $i++) {
             array_push($sessions, [
-                'id' => str_random(40),
+                'id' => Str::random(40),
                 'user_id' => $user->id,
                 'ip_address' => $faker->ipv4,
                 'user_agent' => $faker->userAgent,
-                'payload' => str_random(),
+                'payload' => Str::random(),
                 'last_activity' => Carbon::now()->subMinute()->timestamp
             ]);
         }
diff --git a/tests/Feature/Http/Controllers/Api/SessionsControllerTest.php b/tests/Feature/Http/Controllers/Api/SessionsControllerTest.php
index 358a2eb..0befdd0 100644
--- a/tests/Feature/Http/Controllers/Api/SessionsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/SessionsControllerTest.php
@@ -3,6 +3,7 @@
 namespace Tests\Feature\Http\Controllers\Api;
 
 use Carbon\Carbon;
+use Illuminate\Support\Str;
 use Tests\Feature\ApiTestCase;
 use Tests\Feature\FunctionalTestCase;
 use Portal\Repositories\Session\SessionRepository;
@@ -11,7 +12,7 @@ use Portal\User;
 
 class SessionsControllerTest extends ApiTestCase
 {
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
 
@@ -97,14 +98,14 @@ class SessionsControllerTest extends ApiTestCase
 
     private function createSession(User $user)
     {
-        $sessionId = str_random(40);
+        $sessionId = Str::random(40);
 
         $data = [
             'id' => $sessionId,
             'user_id' => $user->id,
             'ip_address' => "127.0.0.1",
             'user_agent' => 'foo',
-            'payload' => str_random(),
+            'payload' => Str::random(),
             'last_activity' => Carbon::now()->timestamp
         ];
 
diff --git a/tests/Feature/Http/Controllers/Api/Users/SessionsControllerTest.php b/tests/Feature/Http/Controllers/Api/Users/SessionsControllerTest.php
index 1d8b1aa..502a38b 100644
--- a/tests/Feature/Http/Controllers/Api/Users/SessionsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/Users/SessionsControllerTest.php
@@ -2,6 +2,7 @@
 
 namespace Tests\Feature\Http\Controllers\Api\Users;
 
+use Illuminate\Support\Str;
 use Tests\Feature\ApiTestCase;
 use Portal\Repositories\Session\SessionRepository;
 use Portal\Transformers\SessionTransformer;
@@ -28,9 +29,7 @@ class SessionsControllerTest extends ApiTestCase
 
     public function test_get_user_sessions()
     {
-        putenv('SESSION_DRIVER=database');
-
-        $this->refreshApp();
+        config(['session.driver' => 'database']);
 
         $user = $this->login();
 
@@ -53,11 +52,11 @@ class SessionsControllerTest extends ApiTestCase
 
         for ($i = 0; $i < $count; $i++) {
             array_push($sessions, [
-                'id' => str_random(40),
+                'id' => Str::random(40),
                 'user_id' => $user->id,
                 'ip_address' => $faker->ipv4,
                 'user_agent' => $faker->userAgent,
-                'payload' => str_random(),
+                'payload' => Str::random(),
                 'last_activity' => $faker->dateTimeBetween("-{$lifetime} minutes")->getTimestamp()
             ]);
         }
diff --git a/tests/Feature/Http/Controllers/Web/ActivityControllerTest.php b/tests/Feature/Http/Controllers/Web/ActivityControllerTest.php
index d8f8e1f..f52e657 100644
--- a/tests/Feature/Http/Controllers/Web/ActivityControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/ActivityControllerTest.php
@@ -14,7 +14,7 @@ class ActivityControllerTest extends FunctionalTestCase
      */
     public $logger;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->logger = app(\Portal\Services\Logging\UserActivity\Logger::class);
diff --git a/tests/Feature/Http/Controllers/Web/Auth/AuthControllerTest.php b/tests/Feature/Http/Controllers/Web/Auth/AuthControllerTest.php
index 7919caf..b827195 100644
--- a/tests/Feature/Http/Controllers/Web/Auth/AuthControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/Auth/AuthControllerTest.php
@@ -4,6 +4,7 @@ namespace Tests\Feature\Http\Controllers\Web\Auth;
 
 use Authy;
 use Carbon\Carbon;
+use Illuminate\Support\Arr;
 use Mockery;
 use Settings;
 use Tests\Feature\FunctionalTestCase;
@@ -176,7 +177,7 @@ class AuthControllerTest extends FunctionalTestCase
 
         $this->registerUser($data);
 
-        $expected = array_except($data, ['password', 'password_confirmation', 'tos']);
+        $expected = Arr::except($data, ['password', 'password_confirmation', 'tos']);
         $expected += ['status' => UserStatus::UNCONFIRMED];
 
         $this->seePageIs('login')
@@ -337,8 +338,8 @@ class AuthControllerTest extends FunctionalTestCase
         return [
             'email' => 'test@test.com',
             'username' => 'johndoe',
-            'password' => '123123',
-            'password_confirmation' => '123123',
+            'password' => '123123123',
+            'password_confirmation' => '123123123',
             'tos' => 1
         ];
     }
diff --git a/tests/Feature/Http/Controllers/Web/Auth/PasswordControllerTest.php b/tests/Feature/Http/Controllers/Web/Auth/PasswordControllerTest.php
index d2f83fc..9c4592b 100644
--- a/tests/Feature/Http/Controllers/Web/Auth/PasswordControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/Auth/PasswordControllerTest.php
@@ -68,7 +68,7 @@ class PasswordControllerTest extends FunctionalTestCase
 
         $user = $user->fresh();
 
-        $this->assertTrue(Hash::check('123123', $user->password));
+        $this->assertTrue(Hash::check('12345678', $user->password));
     }
 
     public function test_password_reset_with_expired_token()
@@ -119,8 +119,8 @@ class PasswordControllerTest extends FunctionalTestCase
     {
         $this->visit("password/reset/{$token}")
             ->type($email, 'email')
-            ->type('123123', 'password')
-            ->type('123123', 'password_confirmation')
+            ->type('12345678', 'password')
+            ->type('12345678', 'password_confirmation')
             ->press('Update Password');
     }
 
diff --git a/tests/Feature/Http/Controllers/Web/PermissionsControllerTest.php b/tests/Feature/Http/Controllers/Web/PermissionsControllerTest.php
index aadbdfa..e11675f 100644
--- a/tests/Feature/Http/Controllers/Web/PermissionsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/PermissionsControllerTest.php
@@ -16,7 +16,7 @@ class PermissionsControllerTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->user = $this->createSuperUser();
diff --git a/tests/Feature/Http/Controllers/Web/ProfileControllerTest.php b/tests/Feature/Http/Controllers/Web/ProfileControllerTest.php
index 7acaf32..9504337 100644
--- a/tests/Feature/Http/Controllers/Web/ProfileControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/ProfileControllerTest.php
@@ -2,23 +2,19 @@
 
 namespace Tests\Feature\Http\Controllers\Web;
 
-use Authy;
 use Hash;
 use Input;
-use Settings;
 use Tests\Feature\FunctionalTestCase;
 use Portal\Events\User\ChangedAvatar;
 use Portal\Events\User\UpdatedProfileDetails;
-use Portal\Role;
 use Portal\Support\Enum\UserStatus;
 use Carbon\Carbon;
-use Portal\User;
 
 class ProfileControllerTest extends FunctionalTestCase
 {
     protected $user;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
 
@@ -45,12 +41,11 @@ class ProfileControllerTest extends FunctionalTestCase
             ->seeInDatabase('users', $data + ['id' => $this->user->id]);
     }
 
-    public function test_cannot_change_role_or_status()
+    public function test_cannot_change_status()
     {
         $data = $this->getStubDetailsData();
 
         $extendedData = $data + [
-            'role_id' => Role::whereName('Admin')->first()->id,
             'status' => UserStatus::BANNED,
         ];
 
@@ -65,6 +60,24 @@ class ProfileControllerTest extends FunctionalTestCase
             ]);
     }
 
+    public function test_cannot_change_role()
+    {
+        $data = $this->getStubDetailsData();
+
+        $extendedData = $data + ['status' => UserStatus::BANNED];
+
+        try {
+            $this->visit('profile')->submitForm('Update Details', $extendedData);
+            $this->fail('Form submitted with invalid data.');
+        } catch (\Exception $e) {
+            $this->seeInDatabase('users', $data + [
+                'id' => $this->user->id,
+                'status' => UserStatus::ACTIVE,
+                'role_id' => $this->user->role_id
+            ]);
+        }
+    }
+
     public function test_update_avatar()
     {
         $this->expectsEvents(ChangedAvatar::class);
@@ -207,13 +220,7 @@ class ProfileControllerTest extends FunctionalTestCase
 
     public function test_session_invalidation()
     {
-        putenv('SESSION_DRIVER=database');
-
-        $this->refreshApplication();
-
-        if ($this->isSQLiteConnection()) {
-            $this->executeCallbacks();
-        }
+        config(['session.driver' => 'database']);
 
         Carbon::setTestNow(Carbon::now());
 
diff --git a/tests/Feature/Http/Controllers/Web/RolesControllerTest.php b/tests/Feature/Http/Controllers/Web/RolesControllerTest.php
index c824149..e8e5b77 100644
--- a/tests/Feature/Http/Controllers/Web/RolesControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/RolesControllerTest.php
@@ -13,7 +13,7 @@ class RolesControllerTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->user = $this->createSuperUser();
diff --git a/tests/Feature/Http/Controllers/Web/UsersControllerTest.php b/tests/Feature/Http/Controllers/Web/UsersControllerTest.php
index cf613e0..ceb0f8e 100644
--- a/tests/Feature/Http/Controllers/Web/UsersControllerTest.php
+++ b/tests/Feature/Http/Controllers/Web/UsersControllerTest.php
@@ -4,6 +4,7 @@ namespace Tests\Feature\Http\Controllers\Web;
 
 use Authy;
 use Hash;
+use Illuminate\Support\Str;
 use Input;
 use Settings;
 use Tests\Feature\FunctionalTestCase;
@@ -215,17 +216,17 @@ class UsersControllerTest extends FunctionalTestCase
         $this->createAndLoginAdminUser();
 
         $user = $this->createUser([
-            'remember_token' => str_random(60)
+            'remember_token' => Str::random(60)
         ]);
 
         $user = $this->setRoleForUser($user, 'User');
 
         \DB::table('sessions')->insert([
-            'id' => str_random(40),
+            'id' => Str::random(40),
             'user_id' => $user->id,
             'ip_address' => "127.0.0.1",
             'user_agent' => 'Foo',
-            'payload' => str_random(),
+            'payload' => Str::random(),
             'last_activity' => Carbon::now()->subMinute()->timestamp
         ]);
 
@@ -258,8 +259,8 @@ class UsersControllerTest extends FunctionalTestCase
         $data = [
             'email' => 'john@doe.com',
             'username' => 'milos',
-            'password' => '123123',
-            'password_confirmation' => '123123'
+            'password' => '123123123',
+            'password_confirmation' => '123123123'
         ];
 
         $this->visit("user/{$user->id}/edit")
@@ -366,9 +367,7 @@ class UsersControllerTest extends FunctionalTestCase
      */
     public function test_session_page_is_not_available_for_non_database_driver()
     {
-        putenv('SESSION_DRIVER=array');
-
-        $this->refreshApp();
+        config(['session.driver' => 'array']);
 
         $user = $this->createAndLoginAdminUser();
 
@@ -382,9 +381,7 @@ class UsersControllerTest extends FunctionalTestCase
 
     public function test_invalidate_session()
     {
-        putenv('SESSION_DRIVER=database');
-
-        $this->refreshApp();
+        config(['session.driver' => 'database']);
 
         Carbon::setTestNow(Carbon::now());
 
@@ -395,8 +392,7 @@ class UsersControllerTest extends FunctionalTestCase
         $platform = $agent->platform() ?: 'Unknown';
 
         $this->visit('user')
-            ->clickOn('a:contains("User Sessions")')
-            ->seePageIs("user/{$user->id}/sessions")
+            ->visit("user/{$user->id}/sessions")
             ->seeInTable('table', Input::ip(), 1, 1)
             ->seeInTable('table', "{$device} ({$platform})", 1, 2)
             ->seeInTable('table', $agent->browser(), 1, 3)
@@ -409,8 +405,7 @@ class UsersControllerTest extends FunctionalTestCase
         $this->delete($url)
             ->followRedirects()
             ->dontSeeInDatabase('sessions', ['user_id' => $user->id])
-            ->seePageIs("user/{$user->id}/sessions")
-            ->see('Session invalidated successfully.');
+            ->seePageIs("user/{$user->id}/sessions");
     }
 
     public function test_delete_user()
diff --git a/tests/Feature/Listeners/BaseListenerTestCase.php b/tests/Feature/Listeners/BaseListenerTestCase.php
index 24398a3..a202155 100644
--- a/tests/Feature/Listeners/BaseListenerTestCase.php
+++ b/tests/Feature/Listeners/BaseListenerTestCase.php
@@ -10,7 +10,7 @@ class BaseListenerTestCase extends FunctionalTestCase
 {
     protected $user;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->user = factory(User::class)->create();
diff --git a/tests/Feature/Listeners/PermissionEventsSubscriberTest.php b/tests/Feature/Listeners/PermissionEventsSubscriberTest.php
index 019289e..4fb04e0 100644
--- a/tests/Feature/Listeners/PermissionEventsSubscriberTest.php
+++ b/tests/Feature/Listeners/PermissionEventsSubscriberTest.php
@@ -11,7 +11,7 @@ class PermissionEventsSubscriberTest extends BaseListenerTestCase
 {
     protected $perm;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->perm = factory(\Portal\Permission::class)->create();
diff --git a/tests/Feature/Listeners/RoleEventsSubscriberTest.php b/tests/Feature/Listeners/RoleEventsSubscriberTest.php
index ff9a2d8..8fcb1ee 100644
--- a/tests/Feature/Listeners/RoleEventsSubscriberTest.php
+++ b/tests/Feature/Listeners/RoleEventsSubscriberTest.php
@@ -11,7 +11,7 @@ class RoleEventsSubscriberTest extends BaseListenerTestCase
 {
     protected $role;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->role = factory(\Portal\Role::class)->create();
diff --git a/tests/Feature/Listeners/UserEventsSubscriberTest.php b/tests/Feature/Listeners/UserEventsSubscriberTest.php
index 0cb1bfa..81263d6 100644
--- a/tests/Feature/Listeners/UserEventsSubscriberTest.php
+++ b/tests/Feature/Listeners/UserEventsSubscriberTest.php
@@ -6,7 +6,7 @@ class UserEventsSubscriberTest extends BaseListenerTestCase
 {
     protected $theUser;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->theUser = factory(\Portal\User::class)->create();
diff --git a/tests/Feature/Repositories/Activity/EloquentActivityTest.php b/tests/Feature/Repositories/Activity/EloquentActivityTest.php
index 748a42e..ad79f54 100644
--- a/tests/Feature/Repositories/Activity/EloquentActivityTest.php
+++ b/tests/Feature/Repositories/Activity/EloquentActivityTest.php
@@ -16,7 +16,7 @@ class EloquentActivityTest extends FunctionalTestCase
      */
     protected $repo;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(EloquentActivity::class);
diff --git a/tests/Feature/Repositories/Country/EloquentCountryTest.php b/tests/Feature/Repositories/Country/EloquentCountryTest.php
index a42bfdb..8917b31 100644
--- a/tests/Feature/Repositories/Country/EloquentCountryTest.php
+++ b/tests/Feature/Repositories/Country/EloquentCountryTest.php
@@ -16,7 +16,7 @@ class EloquentCountryTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(EloquentCountry::class);
diff --git a/tests/Feature/Repositories/Permission/EloquentPermissionTest.php b/tests/Feature/Repositories/Permission/EloquentPermissionTest.php
index 0aa2326..333639e 100644
--- a/tests/Feature/Repositories/Permission/EloquentPermissionTest.php
+++ b/tests/Feature/Repositories/Permission/EloquentPermissionTest.php
@@ -3,6 +3,7 @@
 namespace Tests\Feature\Repositories\Permission;
 
 use Cache;
+use Illuminate\Support\Str;
 use Tests\Feature\FunctionalTestCase;
 use Portal\Events\Permission\Created;
 use Portal\Permission;
@@ -17,7 +18,7 @@ class EloquentPermissionTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(EloquentPermission::class);
@@ -77,10 +78,10 @@ class EloquentPermissionTest extends FunctionalTestCase
     private function getPermissionStubData()
     {
         return [
-            'name'         => str_random(5),
-            'display_name' => str_random(5),
-            'description'  => 'foo',
-            'removable'    => true
+            'name' => Str::random(5),
+            'display_name' => Str::random(5),
+            'description' => 'foo',
+            'removable' => true
         ];
     }
 }
diff --git a/tests/Feature/Repositories/Role/EloquentRoleTest.php b/tests/Feature/Repositories/Role/EloquentRoleTest.php
index cbc833c..135a678 100644
--- a/tests/Feature/Repositories/Role/EloquentRoleTest.php
+++ b/tests/Feature/Repositories/Role/EloquentRoleTest.php
@@ -18,7 +18,7 @@ class EloquentRoleTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(EloquentRole::class);
diff --git a/tests/Feature/Repositories/Session/DbSessionTest.php b/tests/Feature/Repositories/Session/DbSessionTest.php
index 626190a..084bc6c 100644
--- a/tests/Feature/Repositories/Session/DbSessionTest.php
+++ b/tests/Feature/Repositories/Session/DbSessionTest.php
@@ -4,6 +4,7 @@ namespace Tests\Feature\Repositories\Session;
 
 use Carbon\Carbon;
 use DB;
+use Illuminate\Support\Str;
 use Mockery as m;
 use Tests\Feature\FunctionalTestCase;
 use Portal\Repositories\Session\DbSession;
@@ -18,7 +19,7 @@ class DbSessionTest extends FunctionalTestCase
 
     protected $seed = false;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(DbSession::class);
@@ -93,7 +94,7 @@ class DbSessionTest extends FunctionalTestCase
     public function test_invalidateUserSession()
     {
         $user = factory(User::class)->create([
-            'remember_token' => str_random(60)
+            'remember_token' => Str::random(60)
         ]);
 
         $data = $this->getSessionStubData($user);
@@ -108,7 +109,7 @@ class DbSessionTest extends FunctionalTestCase
     public function test_invalidate_all_sessions_for_user()
     {
         $user = factory(User::class)->create([
-            'remember_token' => str_random(60)
+            'remember_token' => Str::random(60)
         ]);
 
         $data = $this->getSessionStubData($user);
@@ -125,7 +126,7 @@ class DbSessionTest extends FunctionalTestCase
         $faker = app(\Faker\Generator::class);
 
         return [
-            'id' => str_random(),
+            'id' => Str::random(),
             'user_id' => $user->id,
             'ip_address' => $faker->ipv4,
             'user_agent' => $faker->userAgent,
diff --git a/tests/Feature/Repositories/User/EloquentUserTest.php b/tests/Feature/Repositories/User/EloquentUserTest.php
index cf4eac9..c6b3ff7 100644
--- a/tests/Feature/Repositories/User/EloquentUserTest.php
+++ b/tests/Feature/Repositories/User/EloquentUserTest.php
@@ -3,6 +3,7 @@
 namespace Tests\Feature\Repositories\User;
 
 use DB;
+use Illuminate\Support\Str;
 use Tests\Feature\FunctionalTestCase;
 use Portal\Repositories\User\EloquentUser;
 use Portal\Role;
@@ -18,7 +19,7 @@ class EloquentUserTest extends FunctionalTestCase
      */
     protected $repo;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->repo = app(EloquentUser::class);
@@ -72,14 +73,14 @@ class EloquentUserTest extends FunctionalTestCase
     {
         $user = factory(User::class)->create();
 
-        $sessionId = str_random(40);
+        $sessionId = Str::random(40);
 
         DB::table('sessions')->insert([
             'id' => $sessionId,
             'user_id' => $user->id,
             'ip_address' => "127.0.0.1",
             'user_agent' => "foo",
-            'payload' => str_random(),
+            'payload' => Str::random(),
             'last_activity' => Carbon::now()
         ]);
 
@@ -266,7 +267,7 @@ class EloquentUserTest extends FunctionalTestCase
 
     public function test_newUsersCount()
     {
-        Carbon::setTestNow(Carbon::now()->subMonth());
+        Carbon::setTestNow(Carbon::now()->startOfMonth()->subMonth());
         factory(User::class)->times(3)->create();
 
         Carbon::setTestNow(null);
diff --git a/tests/unit/Presenters/UserPresenterTest.php b/tests/unit/Presenters/UserPresenterTest.php
index b4661bc..00d8b9b 100644
--- a/tests/unit/Presenters/UserPresenterTest.php
+++ b/tests/unit/Presenters/UserPresenterTest.php
@@ -11,7 +11,7 @@ class UserPresenterTest extends TestCase
 {
     protected $user;
 
-    public function setUp()
+    protected function setUp(): void
     {
         parent::setUp();
         $this->user = new PresentableUser;
